package cn.estsh.i3plus.pojo.ptl.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "IF_PICK_DATA")
@EqualsAndHashCode(callSuper = true)
@Api("IF_拣货数据")
public class IfPickData extends BaseBean implements Serializable {

    private static final long serialVersionUID = -1057633269490937118L;

    @Column(name = "AREA_NO")
    @ApiParam("区域代码")
    private String areaNo;

    @Column(name = "SECTION_NO")
    @ApiParam("区段编号")
    private String sectionNo;

    @Column(name = "SECTION_TASK_NO")
    @ApiParam("区段任务编号")
    private String sectionTaskNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编号")
    private String partNo;

    @Column(name = "BIN位代码")
    @ApiParam("物料编号")
    private String binNo;

    @Column(name = "QTY")
    @ApiParam("拣货数量")
    private Integer qty;

    @Column(name = "SYNC_FLAG")
    @ApiParam("同步标识")
    private Integer syncFlag;

}
